Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing
Class JSVGCanvas.CanvasSVGListener

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
          org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener
              org.apache.batik.swing.svg.AbstractJSVGComponent.SVGListener
                  org.apache.batik.swing.svg.JSVGComponent.ExtendedSVGListener
                      org.apache.batik.swing.JSVGCanvas.CanvasSVGListener

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, EventListener, UpdateManagerListener, GVTTreeRendererListener, GVTTreeBuilderListener, SVGDocumentLoaderListener, SVGLoadEventDispatcherListener

Enclosing class:
  JSVGCanvas

    protected class JSVGCanvas.CanvasSVGListener

extends JSVGComponent.ExtendedSVGListener

To hide the listener methods. This class just reset the tooltip.

Constructor Summary
`protected` | `JSVGCanvas.CanvasSVGListener()`

Method Summary
`void` | `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.

Methods inherited from class org.apache.batik.swing.svg.JSVGComponent.ExtendedSVGListener
`dispatchMouseWheelMoved`

Methods inherited from class org.apache.batik.swing.svg.AbstractJSVGComponent.SVGListener
`dispatchKeyPressed, dispatchKeyReleased, dispatchKeyTyped, dispatchMouseClicked, dispatchMouseDragged, dispatchMouseEntered, dispatchMouseExited, dispatchMouseMoved, dispatchMousePressed, dispatchMouseReleased, documentLoadingCancelled, documentLoadingCompleted, documentLoadingFailed, gvtBuildCancelled, gvtBuildCompleted, gvtBuildFailed, gvtBuildStarted, gvtRenderingCancelled, gvtRenderingCompleted, gvtRenderingFailed, managerResumed, managerStarted, managerStopped, managerSuspended, svgLoadEventDispatchCancelled, svgLoadEventDispatchCompleted, svgLoadEventDispatchFailed, svgLoadEventDispatchStarted, updateCompleted, updateFailed, updateStarted`

Methods inherited from class org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener
`mouseWheelMoved`

Methods inherited from class org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
`deselectInteractor, gvtRenderingPrepare, gvtRenderingStarted, handleMouseClicked, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, selectInteractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGCanvas.CanvasSVGListener

    protected JSVGCanvas.CanvasSVGListener()

Method Detail

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

  Specified by:
    `documentLoadingStarted` in interface `SVGDocumentLoaderListener`
  Overrides:
    `documentLoadingStarted` in class `AbstractJSVGComponent.SVGListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.